Generation Framework

## org.eclipse.gmf.mappings
Interface MetricRule

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, RuleBase

All Known Implementing Classes:
  MetricRuleImpl

    public interface MetricRule

extends RuleBase

A representation of the model object 'Metric Rule'.

The following features are supported:

- `Key`
- `Rule`
- `Target`
- `Low Limit`
- `High Limit`
- `Container`

See Also:
  `GMFMapPackage.getMetricRule()`
** Generated **
Model:
  annotation="http://www.eclipse.org/gmf/2005/constraints ocl='not lowLimit.oclIsUndefined() and not highLimit.oclIsUndefined() implies lowLimit < highLimit' description='Metric value \'lowLimit\' must be smaller then \'highLimit\''"

Method Summary
`MetricContainer` `getContainer()` Returns the value of the 'Container' container reference.
`java.lang.Double` `getHighLimit()` Returns the value of the 'High Limit' attribute
`java.lang.String` `getKey()` Returns the value of the 'Key' attribute
`java.lang.Double` `getLowLimit()` Returns the value of the 'Low Limit' attribute
`ValueExpression` `getRule()` Returns the value of the 'Rule' containment reference
`Measurable` `getTarget()` Returns the value of the 'Target' containment reference
`void` `setContainer(MetricContainer value)` Sets the value of the '`Container`' container reference
`void` `setHighLimit(java.lang.Double value)` Sets the value of the '`High Limit`' attribute
`void` `setKey(java.lang.String value)` Sets the value of the '`Key`' attribute
`void` `setLowLimit(java.lang.Double value)` Sets the value of the '`Low Limit`' attribute
`void` `setRule(ValueExpression value)` Sets the value of the '`Rule`' containment reference
`void` `setTarget(Measurable value)` Sets the value of the '`Target`' containment reference

Methods inherited from interface org.eclipse.gmf.mappings.RuleBase
`getDescription, getName, setDescription, setName`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getKey

    java.lang.String getKey()

  Returns the value of the 'Key' attribute. Unique key identifying this metric an abbreviation for this metric

  Returns:
    the value of the 'Key' attribute.
  See Also:
    `setKey(String)`, `GMFMapPackage.getMetricRule_Key()`
  ** Generated **
  Model:
    required="true" annotation="http://www.eclipse.org/gmf/2005/constraints ocl='not key.oclIsUndefined() implies container.metrics->one(i | i.key = self.key)' description='Metric rule with the same \'key\' already exists'"

### setKey

    void setKey(java.lang.String value)

  Sets the value of the '`Key`' attribute.

  Parameters:
    `value` - the new value of the 'Key' attribute.
  See Also:
    `getKey()`
  ** Generated **

### getRule

    ValueExpression getRule()

  Returns the value of the 'Rule' containment reference. Expression that calculates the value of this metric which is of EDataType that encapsulates java.lang.Number subclasses or their primitives

  Returns:
    the value of the 'Rule' containment reference.
  See Also:
    `setRule(ValueExpression)`, `GMFMapPackage.getMetricRule_Rule()`
  ** Generated **
  Model:
    containment="true" required="true" annotation="http://www.eclipse.org/gmf/2005/constraints/meta def='context' ref='target'" annotation="http://www.eclipse.org/gmf/2005/constraints/meta def='type' ocl='\'ecore::EDoubleObject\''"

### setRule

    void setRule(ValueExpression value)

  Sets the value of the '`Rule`' containment reference.

  Parameters:
    `value` - the new value of the 'Rule' containment reference.
  See Also:
    `getRule()`
  ** Generated **

### getTarget

    Measurable getTarget()

  Returns the value of the 'Target' containment reference. The target representing the context this metric is evaluated in

  Returns:
    the value of the 'Target' containment reference.
  See Also:
    `setTarget(Measurable)`, `GMFMapPackage.getMetricRule_Target()`
  ** Generated **
  Model:
    containment="true" required="true"

### setTarget

    void setTarget(Measurable value)

  Sets the value of the '`Target`' containment reference.

  Parameters:
    `value` - the new value of the 'Target' containment reference.
  See Also:
    `getTarget()`
  ** Generated **

### getLowLimit

    java.lang.Double getLowLimit()

  Returns the value of the 'Low Limit' attribute.

  If the meaning of the 'Low Limit' attribute isn't clear, there really should be more of a description here...

  The lowest acceptable value of the rule expression result

  Returns:
    the value of the 'Low Limit' attribute.
  See Also:
    `setLowLimit(Double)`, `GMFMapPackage.getMetricRule_LowLimit()`
  ** Generated **
  Model:

### setLowLimit

    void setLowLimit(java.lang.Double value)

  Sets the value of the '`Low Limit`' attribute.

  Parameters:
    `value` - the new value of the 'Low Limit' attribute.
  See Also:
    `getLowLimit()`
  ** Generated **

### getHighLimit

    java.lang.Double getHighLimit()

  Returns the value of the 'High Limit' attribute.

  If the meaning of the 'High Limit' attribute isn't clear, there really should be more of a description here...

  The highest acceptable value of the rule expression result

  Returns:
    the value of the 'High Limit' attribute.
  See Also:
    `setHighLimit(Double)`, `GMFMapPackage.getMetricRule_HighLimit()`
  ** Generated **
  Model:

### setHighLimit

    void setHighLimit(java.lang.Double value)

  Sets the value of the '`High Limit`' attribute.

  Parameters:
    `value` - the new value of the 'High Limit' attribute.
  See Also:
    `getHighLimit()`
  ** Generated **

### getContainer

    MetricContainer getContainer()

  Returns the value of the 'Container' container reference. It is bidirectional and its opposite is '`Metrics`'. The containing metric container of this metric rule

  Returns:
    the value of the 'Container' container reference.
  See Also:
    `setContainer(MetricContainer)`, `GMFMapPackage.getMetricRule_Container()`, `MetricContainer.getMetrics()`
  ** Generated **
  Model:
    opposite="metrics" required="true" transient="false"

### setContainer

    void setContainer(MetricContainer value)

  Sets the value of the '`Container`' container reference.

  Parameters:
    `value` - the new value of the 'Container' container reference.
  See Also:
    `getContainer()`
  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.